> ## Documentation Index > Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt > Use this file to discover all available pages before exploring further. # Get Channel Roles > Lists all user's roles in the channel. ### Changelog | Version | Description | | ------- | ----------- | |0.65.0 | Added | ## OpenAPI ````json GET /api/v1/channels.roles { "openapi": "3.0.0", "info": { "version": "1.0.0", "title": "Rooms" }, "servers": [ { "url": "https://apiexplorer.support.rocket.chat" } ], "tags": [ { "name": "Channels" }, { "name": "Directory" }, { "name": "Groups" }, { "name": "Rooms" }, { "name": "Teams" }, { "name": "Room Invites" }, { "name": "Subscriptions" }, { "name": "ABAC" } ], "paths": { "/api/v1/channels.roles": { "get": { "tags": [ "Channels" ], "summary": "Get Channel Roles", "description": "Lists all user's roles in the channel.\n\n### Changelog\n\n| Version | Description |\n| ------- | ----------- |\n|0.65.0 | Added |", "operationId": "get-api-v1-channels.roles", "parameters": [ { "$ref": "#/components/parameters/Optional-RoomId" }, { "$ref": "#/components/parameters/Optional-RoomName" } ], "responses": { "200": { "description": "OK", "content": { "application/json": { "schema": { "type": "object", "properties": { "roles": { "type": "array", "items": { "type": "object", "properties": { "_id": { "type": "string" }, "rid": { "type": "string" }, "u": { "type": "object", "properties": { "_id": { "type": "string" }, "username": { "type": "string" }, "name": { "type": "string" } } }, "roles": { "type": "array", "items": { "type": "string" } } } } }, "success": { "type": "boolean" } } }, "examples": { "Success": { "value": { "roles": [ { "_id": "rGNoXwYuZshq9FENQ", "rid": "WDuJLFkjwk6L7LdFC", "u": { "_id": "rbAXPnMktTFbNpwtJ", "username": "roxie" }, "roles": [ "owner" ] }, { "_id": "64ef8a982c26843a68c1f7ae", "rid": "WDuJLFkjwk6L7LdFC", "u": { "_id": "5fRTXMt7DMJbpPJfh", "username": "test.test", "name": "Testtest" }, "roles": [ "leader" ] } ], "success": true } } } } } }, "401": { "$ref": "#/components/responses/authorizationError" } } } } }, "components": { "parameters": { "Optional-RoomId": { "name": "roomId", "in": "query", "description": "The room ID. It is required if the `roomName` is not provided.", "schema": { "type": "string" }, "example": "dlpfuijw7ej" }, "Optional-RoomName": { "name": "roomName", "in": "query", "description": "The room name. It is required if the `roomId` is not provided.", "required": false, "schema": { "type": "string" }, "example": "general" } }, "responses": { "authorizationError": { "description": "Unauthorized", "content": { "application/json": { "schema": { "type": "object", "properties": { "success": { "type": "boolean" }, "error": { "type": "string" } } }, "examples": { "Authorization Error": { "value": { "success": false, "error": "You must be logged in to do this." } } } } } } } } } ````